Description

Hi,

It would be fantastic if you could add unattended installs for SUSE based Operatingsystems like OpenSuse or SLES.

I have attached a so called autoinst.xml file of a SLES 11 SP1 install. This is very similar to the kickstart or preseed files. It is just far

more lines. But the important ones are easy to identify. SUSE uses a system called autoyast for unattended installations.

Furthermore the Autoyast Default PXELinux Provision Template could look like this:

default linux

label linux

kernel <%= @kernel %>

1. initrd are located in e.g. SLES_11.1_x86_64/CD1/boot/x86_64/loader

2. I used SLES_11.1_x86_64 to be facter compliant ($operatinsystem_$operatinsystemrelease_$architecture)

append initrd=<%= @initrd %> ramdisk_size=65536

3. this is different from kickstart the install source must be in the pxelinux

4. as mentioned before this would be: SLES_11.1_x86_64/CD1

install=<%= @mediapath %>

5. last the path to the autoinst.xml

autoyast=<%= foreman_url("provision")%>

This should be enough to boot the client off PXE. The autoinst file is really huge. I added the lines:

<package> puppet </package>

<package> facter </package>

to install the puppet version that is included in sles11. In older SLES releases 9 and 10 is probably no puppet. For this we might have

to introduce a new install repo from opensuse build. I can test this once we have basic SUSE unattended install working. Only the

autoinst.xml needs a bit of adjustment here.

Furthermore I recommend the following links:

Partitioning autoyast:

http://www.suse.de/~ug/autoyast_doc/CreateProfile.Partitioning.html

PXE OpenSuse:

http://en.opensuse.org/SDB:PXE_boot_installation

PXE SLES Specific:

http://www.novell.com/coolsolutions/feature/17719.html

Autoyast Docs:
http://www.suse.de/~ug/

Associated revisions

Revision 68f7a705 - 07/26/2011 05:40 AM - Ohad Levy

fixes #1058 Adds support for OpenSuSE provisioning

History

#1 - 07/22/2011 11:47 AM - Paul Kelly

- Tracker changed from Bug to Feature

#2 - 07/24/2011 03:01 AM - Ohad Levy

Oliver, redmine has eating the xml file, any chance you could upload it as text or something?

#3 - 07/24/2011 06:37 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.4

#4 - 07/25/2011 03:01 AM - Oliver Weinmann

Sure here it goes:

<?xml version="1.0"?>

<!DOCTYPE profile>

<profile xmlns="http://www.suse.com/1.0/yast2ns&quot; xmlns:config="http://www.suse.com/1.0/configns&quot;>

<add-on>

<add_on_products config:type="list">

<listentry>

<media_url><![CDATA[nfs://123.123.123.123/vol/Linux_Install/SLES11_64_SDK_SP1]]></media_url>

<product>SLES11_64_SDK_SP1</product>

<product_dir>/</product_dir>

</listentry>

</add_on_products>

</add-on>

<bootloader>

<device_map config:type="list">

<device_map_entry>

<firmware>fd0</firmware>

<linux>/dev/fd0</linux>

</device_map_entry>

<device_map_entry>

<firmware>hd0</firmware>

<linux>/dev/sda</linux>

</device_map_entry>

</device_map>

<global>

<activate>true</activate>

<default>SUSE Linux Enterprise Server 11 SP1 - 2.6.32.12-0.7</default>

<generic_mbr>true</generic_mbr>

<gfxmenu>(hd0,1)/boot/message</gfxmenu>

<lines_cache_id>3</lines_cache_id>

<timeout config:type="integer">8</timeout>

</global>

<initrd_modules config:type="list">

<initrd_module>

<module>mptspi</module>

</initrd_module>

<initrd_module>

<module>thermal</module>

</initrd_module>

<initrd_module>

<module>ata_piix</module>

</initrd_module>

<initrd_module>

<module>ata_generic</module>

</initrd_module>

<initrd_module>

<module>piix</module>

</initrd_module>

<initrd_module>
<module>ide_pci_generic</module>

</initrd_module>

<initrd_module>

<module>processor</module>

</initrd_module>

<initrd_module>

<module>fan</module>

</initrd_module>

<initrd_module>

<module>jbd</module>

</initrd_module>

<initrd_module>

<module>ext3</module>

</initrd_module>

<initrd_module>

<module>edd</module>

</initrd_module>

</initrd_modules>

<loader_type>grub</loader_type>

<sections config:type="list">

<section>

<append>resume=/dev/sda1 splash=silent crashkernel=256M-:128M showopts</append>

<image>(hd0,1)/boot/vmlinuz-2.6.32.12-0.7-default</image>

<initial>1</initial>

<initrd>(hd0,1)/boot/initrd-2.6.32.12-0.7-default</initrd>

<lines_cache_id>0</lines_cache_id>

<name>SUSE Linux Enterprise Server 11 SP1 - 2.6.32.12-0.7</name>

<original_name>linux</original_name>

<root>/dev/sda2</root>

<type>image</type>

<vgamode>0x314</vgamode>

</section>

<section>

<append>showopts ide=nodma apm=off noresume edd=off powersaved=off nohz=off highres=off processor.max_cstate=1 nomodeset

x11failsafe</append>

<image>(hd0,1)/boot/vmlinuz-2.6.32.12-0.7-default</image>

<initrd>(hd0,1)/boot/initrd-2.6.32.12-0.7-default</initrd>

<lines_cache_id>1</lines_cache_id>

<name>Failsafe -- SUSE Linux Enterprise Server 11 SP1 - 2.6.32.12-0.7</name>

<original_name>failsafe</original_name>

<root>/dev/sda2</root>

<type>image</type>

<vgamode>0x314</vgamode>

</section>

<section>

<blockoffset>1</blockoffset>

<chainloader>/dev/fd0</chainloader>

<lines_cache_id>2</lines_cache_id>

<name>Floppy</name>

<noverifyroot>true</noverifyroot>

<original_name>floppy</original_name>

<root></root>

<type>other</type>

</section>

</sections>

</bootloader>

<ca_mgm>

<CAName>YaST_Default_CA</CAName>

<ca_commonName>YaST Default CA (sles11-64-sp1)</ca_commonName>

<country>DE</country>

<locality></locality>

<organisation></organisation>

<organisationUnit></organisationUnit>

<password>ENTER PASSWORD HERE</password>

<server_commonName>sles11-64-sp1.some.domain.org</server_commonName>

<server_email>postmaster@some.domain.org</server_email>

<state></state>

<takeLocalServerName config:type="boolean">false</takeLocalServerName>

</ca_mgm>

<deploy_image>

<image_installation config:type="boolean">false</image_installation>

</deploy_image>

<firewall>

<FW_ALLOW_FW_BROADCAST_DMZ>no</FW_ALLOW_FW_BROADCAST_DMZ>

<FW_ALLOW_FW_BROADCAST_EXT>no</FW_ALLOW_FW_BROADCAST_EXT>
<FW_ALLOW_FW_BROADCAST_INT>no</FW_ALLOW_FW_BROADCAST_INT>

<FW_CONFIGURATIONS_DMZ></FW_CONFIGURATIONS_DMZ>

<FW_CONFIGURATIONS_EXT>xorg-x11-server</FW_CONFIGURATIONS_EXT>

<FW_CONFIGURATIONS_INT></FW_CONFIGURATIONS_INT>

<FW_DEV_DMZ></FW_DEV_DMZ>

<FW_DEV_EXT>any eth0</FW_DEV_EXT>

<FW_DEV_INT></FW_DEV_INT>

<FW_FORWARD_ALWAYS_INOUT_DEV></FW_FORWARD_ALWAYS_INOUT_DEV>

<FW_FORWARD_MASQ></FW_FORWARD_MASQ>

<FW_IGNORE_FW_BROADCAST_DMZ>no</FW_IGNORE_FW_BROADCAST_DMZ>

<FW_IGNORE_FW_BROADCAST_EXT>yes</FW_IGNORE_FW_BROADCAST_EXT>

<FW_IGNORE_FW_BROADCAST_INT>no</FW_IGNORE_FW_BROADCAST_INT>

<FW_IPSEC_TRUST>no</FW_IPSEC_TRUST>

<FW_LOAD_MODULES>nf_conntrack_netbios_ns</FW_LOAD_MODULES>

<FW_LOG_ACCEPT_ALL>no</FW_LOG_ACCEPT_ALL>

<FW_LOG_ACCEPT_CRIT>yes</FW_LOG_ACCEPT_CRIT>

<FW_LOG_DROP_ALL>no</FW_LOG_DROP_ALL>

<FW_LOG_DROP_CRIT>yes</FW_LOG_DROP_CRIT>

<FW_MASQUERADE>no</FW_MASQUERADE>

<FW_PROTECT_FROM_INT>no</FW_PROTECT_FROM_INT>

<FW_ROUTE>no</FW_ROUTE>

<FW_SERVICES_ACCEPT_DMZ></FW_SERVICES_ACCEPT_DMZ>

<FW_SERVICES_ACCEPT_EXT></FW_SERVICES_ACCEPT_EXT>

<FW_SERVICES_ACCEPT_INT></FW_SERVICES_ACCEPT_INT>

<FW_SERVICES_ACCEPT_RELATED_DMZ></FW_SERVICES_ACCEPT_RELATED_DMZ>

<FW_SERVICES_ACCEPT_RELATED_EXT></FW_SERVICES_ACCEPT_RELATED_EXT>

<FW_SERVICES_ACCEPT_RELATED_INT></FW_SERVICES_ACCEPT_RELATED_INT>

<FW_SERVICES_DMZ_IP></FW_SERVICES_DMZ_IP>

<FW_SERVICES_DMZ_RPC></FW_SERVICES_DMZ_RPC>

<FW_SERVICES_DMZ_TCP></FW_SERVICES_DMZ_TCP>

<FW_SERVICES_DMZ_UDP></FW_SERVICES_DMZ_UDP>

<FW_SERVICES_EXT_IP></FW_SERVICES_EXT_IP>

<FW_SERVICES_EXT_RPC></FW_SERVICES_EXT_RPC>

<FW_SERVICES_EXT_TCP></FW_SERVICES_EXT_TCP>

<FW_SERVICES_EXT_UDP></FW_SERVICES_EXT_UDP>

<FW_SERVICES_INT_IP></FW_SERVICES_INT_IP>

<FW_SERVICES_INT_RPC></FW_SERVICES_INT_RPC>

<FW_SERVICES_INT_TCP></FW_SERVICES_INT_TCP>

<FW_SERVICES_INT_UDP></FW_SERVICES_INT_UDP>

<enable_firewall config:type="boolean">false</enable_firewall>

<start_firewall config:type="boolean">false</start_firewall>

</firewall>

<general>

<ask-list config:type="list"/>

<mode>

<confirm config:type="boolean">false</confirm>

</mode>

<mouse>

<id>none</id>

</mouse>

<proposals config:type="list"/>

<signature-handling>

<accept_file_without_checksum config:type="boolean">true</accept_file_without_checksum>

<accept_non_trusted_gpg_key config:type="boolean">true</accept_non_trusted_gpg_key>

<accept_unknown_gpg_key config:type="boolean">true</accept_unknown_gpg_key>

<accept_unsigned_file config:type="boolean">true</accept_unsigned_file>

<accept_verification_failed config:type="boolean">false</accept_verification_failed>

<import_gpg_key config:type="boolean">true</import_gpg_key>

</signature-handling>

</general>

<groups config:type="list">

<group>

<group_password>x</group_password>

<groupname>users</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>floppy</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>bin</groupname>

<userlist>daemon</userlist>
</group>

<group>

<group_password>x</group_password>

<groupname>xok</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>nobody</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>modem</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>tty</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>lp</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>uuidd</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>postfix</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>gdm</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>nogroup</groupname>

<userlist>nobody</userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>messagebus</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>maildrop</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>video</groupname>

<userlist>user123</userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>sys</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>shadow</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>cdrom</groupname>

<userlist></userlist>
</group>

<group>

<group_password>x</group_password>

<groupname>console</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>trusted</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>haldaemon</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>dialout</groupname>

<userlist>user123</userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>polkituser</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>wheel</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>pulse</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>www</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>games</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>disk</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>audio</groupname>

<userlist>pulse</userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>suse-ncc</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>ftp</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>at</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>kmem</groupname>

<userlist></userlist>
</group>

<group>

<group_password>x</group_password>

<groupname>public</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>mail</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>root</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>daemon</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>ntp</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>sfcb</groupname>

<userlist>root</userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>uucp</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>pulse-access</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>ntadmin</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>man</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>utmp</groupname>

<userlist></userlist>

</group>

<group>

<group_password>x</group_password>

<groupname>news</groupname>

<userlist></userlist>

</group>

<group>

<group_password>!</group_password>

<groupname>sshd</groupname>

<userlist></userlist>

</group>

</groups>

<host>

<hosts config:type="list">

<hosts_entry>

<host_address>127.0.0.1</host_address>

<names config:type="list">

<name>localhost</name>

</names>

</hosts_entry>
<hosts_entry>

<host_address>::1</host_address>

<names config:type="list">

<name>localhost ipv6-localhost ipv6-loopback</name>

</names>

</hosts_entry>

<hosts_entry>

<host_address>fe00::0</host_address>

<names config:type="list">

<name>ipv6-localnet</name>

</names>

</hosts_entry>

<hosts_entry>

<host_address>ff00::0</host_address>

<names config:type="list">

<name>ipv6-mcastprefix</name>

</names>

</hosts_entry>

<hosts_entry>

<host_address>ff02::1</host_address>

<names config:type="list">

<name>ipv6-allnodes</name>

</names>

</hosts_entry>

<hosts_entry>

<host_address>ff02::2</host_address>

<names config:type="list">

<name>ipv6-allrouters</name>

</names>

</hosts_entry>

<hosts_entry>

<host_address>ff02::3</host_address>

<names config:type="list">

<name>ipv6-allhosts</name>

</names>

</hosts_entry>

</hosts>

</host>

<iscsi-client>

<initiatorname></initiatorname>

<targets config:type="list"/>

<version>1.0</version>

</iscsi-client>

<kdump>

<add_crash_kernel config:type="boolean">true</add_crash_kernel>

<crash_kernel>256M-:128M</crash_kernel>

<general>

<KDUMPTOOL_FLAGS></KDUMPTOOL_FLAGS>

<KDUMP_COMMANDLINE></KDUMP_COMMANDLINE>

<KDUMP_COMMANDLINE_APPEND></KDUMP_COMMANDLINE_APPEND>

<KDUMP_CONTINUE_ON_ERROR>false</KDUMP_CONTINUE_ON_ERROR>

<KDUMP_COPY_KERNEL>yes</KDUMP_COPY_KERNEL>

<KDUMP_DUMPFORMAT>compressed</KDUMP_DUMPFORMAT>

<KDUMP_DUMPLEVEL>0</KDUMP_DUMPLEVEL>

<KDUMP_FREE_DISK_SIZE>64</KDUMP_FREE_DISK_SIZE>

<KDUMP_IMMEDIATE_REBOOT>yes</KDUMP_IMMEDIATE_REBOOT>

<KDUMP_KEEP_OLD_DUMPS>5</KDUMP_KEEP_OLD_DUMPS>

<KDUMP_KERNELVER></KDUMP_KERNELVER>

<KDUMP_NETCONFIG>auto</KDUMP_NETCONFIG>

<KDUMP_NOTIFICATION_CC></KDUMP_NOTIFICATION_CC>

<KDUMP_NOTIFICATION_TO></KDUMP_NOTIFICATION_TO>

<KDUMP_POSTSCRIPT></KDUMP_POSTSCRIPT>

<KDUMP_PRESCRIPT></KDUMP_PRESCRIPT>

<KDUMP_REQUIRED_PROGRAMS></KDUMP_REQUIRED_PROGRAMS>

<KDUMP_SAVEDIR>file:///var/crash</KDUMP_SAVEDIR>

<KDUMP_SMTP_PASSWORD></KDUMP_SMTP_PASSWORD>

<KDUMP_SMTP_SERVER></KDUMP_SMTP_SERVER>

<KDUMP_SMTP_USER></KDUMP_SMTP_USER>

<KDUMP_TRANSFER></KDUMP_TRANSFER>

<KDUMP_VERBOSE>3</KDUMP_VERBOSE>

<KEXEC_OPTIONS></KEXEC_OPTIONS>

</general>

</kdump>

<keyboard>

<keymap>english-uk</keymap>
</keyboard>

<language>

<language>en_GB</language>

<languages></languages>

</language>

<ldap>

<base_config_dn></base_config_dn>

<bind_dn></bind_dn>

<create_ldap config:type="boolean">false</create_ldap>

<file_server config:type="boolean">false</file_server>

<ldap_domain>dc=example,dc=com</ldap_domain>

<ldap_server>127.0.0.1</ldap_server>

<ldap_tls config:type="boolean">true</ldap_tls>

<ldap_v2 config:type="boolean">false</ldap_v2>

<login_enabled config:type="boolean">true</login_enabled>

<member_attribute>member</member_attribute>

<pam_password>exop</pam_password>

<start_autofs config:type="boolean">false</start_autofs>

<start_ldap config:type="boolean">false</start_ldap>

</ldap>

<login_settings/>

<networking>

<dhcp_options>

<dhclient_client_id></dhclient_client_id>

<dhclient_hostname_option>AUTO</dhclient_hostname_option>

</dhcp_options>

<dns>

<dhcp_hostname config:type="boolean">false</dhcp_hostname>

<domain>some.domain.org</domain>

<hostname>sles11-64-sp1</hostname>

<resolv_conf_policy>auto</resolv_conf_policy>

<searchlist config:type="list">

<search>some.domain.org</search>

</searchlist>

<write_hostname config:type="boolean">false</write_hostname>

</dns>

<interfaces config:type="list">

<interface>

<bootproto>static</bootproto>

<broadcast>123.123.123.255</broadcast>

<device>eth0</device>

<ipaddr>123.123.123.124</ipaddr>

<name>Ethernet Network Card</name>

<netmask>255.255.252.0</netmask>

<prefixlen>22</prefixlen>

<startmode>auto</startmode>

</interface>

</interfaces>

<managed config:type="boolean">false</managed>

<net-udev config:type="list">

<rule>

<name>eth0</name>

<rule>ATTR{address}</rule>

<value>00:50:56:b7:00:2a</value>

</rule>

</net-udev>

<routing>

<ip_forward config:type="boolean">false</ip_forward>

<routes config:type="list">

<route>

<destination>default</destination>

<device>-</device>

<gateway>123.123.123.1</gateway>

<netmask>-</netmask>

</route>

</routes>

</routing>

</networking>

<nis>

<netconfig_policy>auto</netconfig_policy>

<nis_broadcast config:type="boolean">false</nis_broadcast>

<nis_broken_server config:type="boolean">false</nis_broken_server>

<nis_domain></nis_domain>

<nis_local_only config:type="boolean">false</nis_local_only>

<nis_options></nis_options>
<nis_other_domains config:type="list"/>

<nis_servers config:type="list"/>

<slp_domain/>

<start_autofs config:type="boolean">false</start_autofs>

<start_nis config:type="boolean">false</start_nis>

</nis>

<partitioning config:type="list">

<drive>

<device>/dev/sda</device>

<initialize config:type="boolean">true</initialize>

<partitions config:type="list">

<partition>

<create config:type="boolean">true</create>

<crypt_fs config:type="boolean">false</crypt_fs>

<filesystem config:type="symbol">swap</filesystem>

<format config:type="boolean">true</format>

<fstopt>defaults</fstopt>

<loop_fs config:type="boolean">false</loop_fs>

<mount>swap</mount>

<mountby config:type="symbol">device</mountby>

<partition_id config:type="integer">130</partition_id>

<partition_nr config:type="integer">1</partition_nr>

<raid_options/>

<resize config:type="boolean">false</resize>

<size>2146765312</size>

</partition>

<partition>

<create config:type="boolean">true</create>

<crypt_fs config:type="boolean">false</crypt_fs>

<filesystem config:type="symbol">ext3</filesystem>

<format config:type="boolean">true</format>

<fstopt>acl,user_xattr</fstopt>

<loop_fs config:type="boolean">false</loop_fs>

<mount>/</mount>

<mountby config:type="symbol">device</mountby>

<partition_id config:type="integer">131</partition_id>

<partition_nr config:type="integer">2</partition_nr>

<raid_options/>

<resize config:type="boolean">false</resize>

<size>19304732160</size>

</partition>

</partitions>

<pesize></pesize>

<type config:type="symbol">CT_DISK</type>

<use>all</use>

</drive>

</partitioning>

<printer>

<cups_remote_server/>

<server_settings>

<BrowseAllow config:type="list">

<listentry>all</listentry>

</BrowseAllow>

<BrowseOrder config:type="list">

<listentry>allow,deny</listentry>

</BrowseOrder>

<Browsing config:type="list">

<listentry>On</listentry>

</Browsing>

<DefaultAuthType config:type="list">

<listentry>Basic</listentry>

</DefaultAuthType>

<DefaultPolicy config:type="list">

<listentry>default</listentry>

</DefaultPolicy>

<Listen config:type="list">

<listentry>localhost:631</listentry>

<listentry>/var/run/cups/cups.sock</listentry>

</Listen>

<LogLevel config:type="list">

<listentry>info</listentry>

</LogLevel>

<SystemGroup config:type="list">

<listentry>sys root</listentry>

</SystemGroup>
<sections config:type="list">

<section>

<Allow config:type="list">

<listentry>127.0.0.2</listentry>

</Allow>

<Key>Location</Key>

<Order config:type="list">

<listentry>allow,deny</listentry>

</Order>

<Value>/</Value>

</section>

<section>

<Encryption config:type="list">

<listentry>Required</listentry>

</Encryption>

<Key>Location</Key>

<Order config:type="list">

<listentry>allow,deny</listentry>

</Order>

<Value>/admin</Value>

</section>

<section>

<AuthType config:type="list">

<listentry>Default</listentry>

</AuthType>

<Key>Location</Key>

<Order config:type="list">

<listentry>allow,deny</listentry>

</Order>

<Require config:type="list">

<listentry>user @SYSTEM</listentry>

</Require>

<Value>/admin/conf</Value>

</section>

<section>

<Key>Policy</Key>

<Value>default</Value>

<sections config:type="list">

<section>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @OWNER @SYSTEM</listentry>

</Require>

<Value>Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription

Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job CUPS-Move-Job</Value>

</section>

<section>

<AuthType config:type="list">

<listentry>Default</listentry>

</AuthType>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @SYSTEM</listentry>

</Require>

<Value>CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default</Value>

</section>

<section>

<AuthType config:type="list">

<listentry>Default</listentry>

</AuthType>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @SYSTEM</listentry>

</Require>

<Value>Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs

Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Accept-Jobs
CUPS-Reject-Jobs</Value>

</section>

<section>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @OWNER @SYSTEM</listentry>

</Require>

<Value>Cancel-Job CUPS-Authenticate-Job</Value>

</section>

<section>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Value>All</Value>

</section>

</sections>

</section>

<section>

<Key>Policy</Key>

<Value>easy</Value>

<sections config:type="list">

<section>

<Key>Limit</Key>

<Order config:type="list">

<listentry>allow,deny</listentry>

</Order>

<Satisfy config:type="list">

<listentry>any</listentry>

</Satisfy>

<Value>All</Value>

</section>

</sections>

</section>

<section>

<Key>Policy</Key>

<Value>paranoid</Value>

<sections config:type="list">

<section>

<Allow config:type="list">

<listentry>from 127.0.0.0/8</listentry>

</Allow>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @OWNER</listentry>

</Require>

<Value>Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription

Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job CUPS-Move-Job</Value>

</section>

<section>

<Allow config:type="list">

<listentry>from 127.0.0.0/8</listentry>

</Allow>

<AuthType config:type="list">

<listentry>Default</listentry>

</AuthType>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @SYSTEM</listentry>

</Require>

<Value>CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default</Value>

</section>

<section>

<Allow config:type="list">

<listentry>from 127.0.0.0/8</listentry>

</Allow>
<AuthType config:type="list">

<listentry>Default</listentry>

</AuthType>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @SYSTEM</listentry>

</Require>

<Value>Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs

Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Accept-Jobs

CUPS-Reject-Jobs</Value>

</section>

<section>

<Allow config:type="list">

<listentry>from 127.0.0.0/8</listentry>

</Allow>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @OWNER</listentry>

</Require>

<Value>Cancel-Job CUPS-Authenticate-Job</Value>

</section>

<section>

<Allow config:type="list">

<listentry>from 127.0.0.0/8</listentry>

</Allow>

<Key>Limit</Key>

<Order config:type="list">

<listentry>deny,allow</listentry>

</Order>

<Require config:type="list">

<listentry>user @OWNER @SYSTEM</listentry>

</Require>

<Value>All</Value>

</section>

</sections>

</section>

</sections>

</server_settings>

</printer>

<proxy>

<enabled config:type="boolean">false</enabled>

<ftp_proxy></ftp_proxy>

<http_proxy></http_proxy>

<https_proxy></https_proxy>

<no_proxy>localhost, 127.0.0.1</no_proxy>

<proxy_password></proxy_password>

<proxy_user></proxy_user>

</proxy>

<report>

<errors>

<log config:type="boolean">true</log>

<show config:type="boolean">true</show>

<timeout config:type="integer">0</timeout>

</errors>

<messages>

<log config:type="boolean">true</log>

<show config:type="boolean">true</show>

<timeout config:type="integer">0</timeout>

</messages>

<warnings>

<log config:type="boolean">true</log>

<show config:type="boolean">true</show>

<timeout config:type="integer">0</timeout>

</warnings>

<yesno_messages>

<log config:type="boolean">true</log>

<show config:type="boolean">true</show>

<timeout config:type="integer">0</timeout>

</yesno_messages>
</report>

<runlevel>

<default>5</default>

</runlevel>

<software>

<packages config:type="list">

<package>ConsoleKit-32bit</package>

<package>Mesa-32bit</package>

<package>PolicyKit-32bit</package>

<package>PolicyKit-gnome-libs-32bit</package>

<package>aspell-32bit</package>

<package>at-spi-32bit</package>

<package>audiofile-32bit</package>

<package>audit-libs-32bit</package>

<package>bind-libs-32bit</package>

<package>cpufrequtils-32bit</package>

<package>cracklib-32bit</package>

<package>cryptconfig-32bit</package>

<package>cyrus-sasl-32bit</package>

<package>cyrus-sasl-digestmd5-32bit</package>

<package>cyrus-sasl-gssapi-32bit</package>

<package>cyrus-sasl-plain-32bit</package>

<package>dbus-1-32bit</package>

<package>dbus-1-glib-32bit</package>

<package>device-mapper-32bit</package>

<package>evolution-data-server-32bit</package>

<package>fam-32bit</package>

<package>file-32bit</package>

<package>freeglut-32bit</package>

<package>freetype-32bit</package>

<package>fribidi-32bit</package>

<package>gconf2-32bit</package>

<package>gdbm-32bit</package>

<package>gettext-runtime-32bit</package>

<package>giflib-32bit</package>

<package>glibc-locale-32bit</package>

<package>gnome-keyring-32bit</package>

<package>gnome-panel-32bit</package>

<package>gnome-vfs2-32bit</package>

<package>gpm-32bit</package>

<package>hal-32bit</package>

<package>hunspell-32bit</package>

<package>libFLAC8-32bit</package>

<package>libHX13-32bit</package>

<package>libacl-32bit</package>

<package>libaio-32bit</package>

<package>libart_lgpl-32bit</package>

<package>libattr-32bit</package>

<package>libavahi-client3-32bit</package>

<package>libavahi-common3-32bit</package>

<package>libavahi-glib1-32bit</package>

<package>libbonobo-32bit</package>

<package>libbonoboui-32bit</package>

<package>libbz2-1-32bit</package>

<package>libcanberra-gtk-32bit</package>

<package>libcanberra-gtk0-32bit</package>

<package>libcanberra0-32bit</package>

<package>libcap2-32bit</package>

<package>libcroco-0_6-3-32bit</package>

<package>libcurl4-32bit</package>

<package>libdb-4_5-32bit</package>

<package>libdrm-32bit</package>

<package>libesd0-32bit</package>

<package>libfreebl3-32bit</package>

<package>libgcrypt11-32bit</package>

<package>libgio-fam</package>

<package>libglade2-32bit</package>

<package>libgnome-32bit</package>

<package>libgnome-desktop-2-11-32bit</package>

<package>libgnomecanvas-32bit</package>

<package>libgnomeui-32bit</package>

<package>libgnutls26-32bit</package>

<package>libgpg-error0-32bit</package>

<package>libgsf-1-114-32bit</package>

<package>libgstreamer-0_10-0-32bit</package>
<package>libgthread-2_0-0-32bit</package>

<package>libgweather1-32bit</package>

<package>libical0-32bit</package>

<package>libidl-32bit</package>

<package>libidn-32bit</package>

<package>liblcms1-32bit</package>

<package>libldap-2_4-2-32bit</package>

<package>libltdl7-32bit</package>

<package>libmng-32bit</package>

<package>libmysqlclient_r15-32bit</package>

<package>libnetpbm10-32bit</package>

<package>libnscd-32bit</package>

<package>libnsssharedhelper0-32bit</package>

<package>libogg0-32bit</package>

<package>libopenct1-32bit</package>

<package>libopensc2-32bit</package>

<package>libproxy0-32bit</package>

<package>libproxy0-config-gnome</package>

<package>libpulse0-32bit</package>

<package>libpython2_6-1_0-32bit</package>

<package>libqt4-32bit</package>

<package>libqt4-qt3support-32bit</package>

<package>libqt4-sql-32bit</package>

<package>libqt4-sql-mysql-32bit</package>

<package>libqt4-x11-32bit</package>

<package>libreiserfs-32bit</package>

<package>librsvg-32bit</package>

<package>libsepol1-32bit</package>

<package>libsmbclient0-32bit</package>

<package>libsmbios2-32bit</package>

<package>libsndfile-32bit</package>

<package>libsoup-2_4-1-32bit</package>

<package>libsqlite3-0-32bit</package>

<package>libstdc++33-32bit</package>

<package>libtalloc1-32bit</package>

<package>libtasn1-3-32bit</package>

<package>libtdb1-32bit</package>

<package>libtool-32bit</package>

<package>libvorbis-32bit</package>

<package>libwbclient0-32bit</package>

<package>libwnck-1-22-32bit</package>

<package>libxcrypt-32bit</package>

<package>libxml2-32bit</package>

<package>libxslt-32bit</package>

<package>mozilla-nspr-32bit</package>

<package>mozilla-nss-32bit</package>

<package>mozilla-xulrunner191-32bit</package>

<package>mozilla-xulrunner191-gnomevfs-32bit</package>

<package>mozilla-xulrunner191-translations-32bit</package>

<package>mpt-firmware</package>

<package>nautilus-32bit</package>

<package>nautilus-cd-burner-32bit</package>

<package>opensc-32bit</package>

<package>openslp-32bit</package>

<package>opie-32bit</package>

<package>orbit2-32bit</package>

<package>pam-32bit</package>

<package>pam-modules-32bit</package>

<package>pam_mount-32bit</package>

<package>parted-32bit</package>

<package>pciutils-32bit</package>

<package>pcsc-lite-32bit</package>

<package>perl-32bit</package>

<package>perl-base-32bit</package>

<package>popt-32bit</package>

<package>python-gnome-32bit</package>

<package>qt3-32bit</package>

<package>rpm-32bit</package>

<package>samba-32bit</package>

<package>samba-client-32bit</package>

<package>startup-notification-32bit</package>

<package>strace-32bit</package>

<package>sysfsutils-32bit</package>

<package>tcl-32bit</package>

<package>tcpd-32bit</package>
<package>tk-32bit</package>

<package>utempter-32bit</package>

<package>x11-input-wacom</package>

<package>xaw3d-32bit</package>

<package>xorg-x11-driver-video-radeonhd</package>

<package>yast2-trans-en_GB</package>

<package>puppet</package>

<package>facter</package>

</packages>

<patterns config:type="list">

<pattern>Basis-Devel</pattern>

<pattern>Minimal</pattern>

<pattern>WBEM</pattern>

<pattern>apparmor</pattern>

<pattern>base</pattern>

<pattern>documentation</pattern>

<pattern>gnome</pattern>

<pattern>print_server</pattern>

<pattern>x11</pattern>

</patterns>

<remove-packages config:type="list">

<package>aspell-ispell</package>

<package>bison</package>

<package>bootsplash-branding-SLED</package>

<package>ctags</package>

<package>desktop-data-openSUSE</package>

<package>emacs</package>

<package>emacs-info</package>

<package>emacs-nox</package>

<package>emacs-x11</package>

<package>flex</package>

<package>gcc</package>

<package>gcc-c++</package>

<package>gcc-info</package>

<package>gcc-locale</package>

<package>gcc43</package>

<package>gcc43-c++</package>

<package>gcc43-info</package>

<package>gcc43-locale</package>

<package>gdbm-devel</package>

<package>gfxboot-branding-SLED</package>

<package>glibc-info</package>

<package>kernel-source</package>

<package>libaio-devel</package>

<package>libgcc45</package>

<package>libgomp45</package>

<package>libqt4-sql-postgresql</package>

<package>libqt4-sql-sqlite</package>

<package>libqt4-sql-unixODBC</package>

<package>libstdc++-devel</package>

<package>libstdc++43-devel</package>

<package>libstdc++45</package>

<package>lprng</package>

<package>mozilla-xulrunner190</package>

<package>mozilla-xulrunner190-gnomevfs</package>

<package>ncurses-devel</package>

<package>pcmciautils</package>

<package>portmap</package>

<package>postgresql-libs</package>

<package>rcs</package>

<package>rsyslog</package>

<package>sendmail</package>

<package>susehelp_cz</package>

<package>susehelp_de</package>

<package>susehelp_es</package>

<package>susehelp_fr</package>

<package>susehelp_hu</package>

<package>susehelp_it</package>

<package>syslogd</package>

<package>tack</package>

<package>texinfo</package>

<package>unixODBC</package>

<package>xpdf-tools</package>

<package>yast2-control-center-qt</package>

<package>yast2-gtk</package>
</remove-packages>

</software>

<timezone>

<hwclock>UTC</hwclock>

<timezone>Europe/Berlin</timezone>

</timezone>

<user_defaults>

<expire></expire>

<group>100</group>

<groups>video,dialout</groups>

<home>/home</home>

<inactive>-1</inactive>

<shell>/bin/bash</shell>

<skel>/etc/skel</skel>

</user_defaults>

<users config:type="list">

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>user123</fullname>

<gid>100</gid>

<home>/home/user123</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>1000</uid>

<user_password>$2a$05$eFLYaJBRks0Gl3xYh/mzyOk64wzK2BOkDN5lN/eHCphlPLlG91.f3</user_password>

<username>user123</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Games account</fullname>

<gid>100</gid>

<home>/var/games</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>12</uid>

<user_password>*</user_password>

<username>games</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>bin</fullname>

<gid>1</gid>

<home>/bin</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>1</uid>

<user_password>*</user_password>

<username>bin</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>nobody</fullname>

<gid>65533</gid>

<home>/var/lib/nobody</home>
<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>65534</uid>

<user_password>*</user_password>

<username>nobody</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Printing daemon</fullname>

<gid>7</gid>

<home>/var/spool/lpd</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>4</uid>

<user_password>*</user_password>

<username>lp</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>User for uuidd</fullname>

<gid>103</gid>

<home>/var/run/uuidd</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>102</uid>

<user_password>*</user_password>

<username>uuidd</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Postfix Daemon</fullname>

<gid>51</gid>

<home>/var/spool/postfix</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>51</uid>

<user_password>*</user_password>

<username>postfix</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Novell Customer Center User</fullname>

<gid>109</gid>

<home>/var/lib/YaST2/suse-ncc-fakehome</home>

<password_settings>

<expire></expire>

<flag></flag>
<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>105</uid>

<user_password>*</user_password>

<username>suse-ncc</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>FTP account</fullname>

<gid>49</gid>

<home>/srv/ftp</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>40</uid>

<user_password>*</user_password>

<username>ftp</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Gnome Display Manager daemon</fullname>

<gid>110</gid>

<home>/var/lib/gdm</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>106</uid>

<user_password>*</user_password>

<username>gdm</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Batch jobs daemon</fullname>

<gid>25</gid>

<home>/var/spool/atjobs</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>25</uid>

<user_password>*</user_password>

<username>at</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>root</fullname>

<gid>0</gid>

<home>/root</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>
<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>0</uid>

<user_password>$2a$05$gdM4PNIdfHiQPdVGUcLG8.KDrJ9Rz.f9bmAUJJUKgqQSd43EuhGIm</user_password>

<username>root</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Mailer daemon</fullname>

<gid>12</gid>

<home>/var/spool/clientmqueue</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/false</shell>

<uid>8</uid>

<user_password>*</user_password>

<username>mail</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Daemon</fullname>

<gid>2</gid>

<home>/sbin</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>2</uid>

<user_password>*</user_password>

<username>daemon</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>NTP daemon</fullname>

<gid>106</gid>

<home>/var/lib/ntp</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>74</uid>

<user_password>*</user_password>

<username>ntp</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Unix-to-Unix CoPy system</fullname>

<gid>14</gid>

<home>/etc/uucp</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>
<uid>10</uid>

<user_password>*</user_password>

<username>uucp</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>User for D-Bus</fullname>

<gid>101</gid>

<home>/var/run/dbus</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>100</uid>

<user_password>*</user_password>

<username>messagebus</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>User for haldaemon</fullname>

<gid>102</gid>

<home>/var/run/hald</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>101</uid>

<user_password>*</user_password>

<username>haldaemon</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>WWW daemon apache</fullname>

<gid>8</gid>

<home>/var/lib/wwwrun</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/false</shell>

<uid>30</uid>

<user_password>*</user_password>

<username>wwwrun</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>Manual pages viewer</fullname>

<gid>62</gid>

<home>/var/cache/man</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>13</uid>

<user_password>*</user_password>

<username>man</username>
</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>PolicyKit</fullname>

<gid>105</gid>

<home>/var/run/PolicyKit</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>103</uid>

<user_password>*</user_password>

<username>polkituser</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>News system</fullname>

<gid>13</gid>

<home>/etc/news</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max></max>

<min></min>

<warn></warn>

</password_settings>

<shell>/bin/bash</shell>

<uid>9</uid>

<user_password>*</user_password>

<username>news</username>

</user>

<user>

<fullname>SSH daemon</fullname>

<gid>65</gid>

<home>/var/lib/sshd</home>

<shell>/bin/false</shell>

<uid>71</uid>

<username>sshd</username>

</user>

<user>

<encrypted config:type="boolean">true</encrypted>

<fullname>PulseAudio daemon</fullname>

<gid>107</gid>

<home>/var/lib/pulseaudio</home>

<password_settings>

<expire></expire>

<flag></flag>

<inact></inact>

<max>99999</max>

<min>0</min>

<warn>7</warn>

</password_settings>

<shell>/bin/false</shell>

<uid>104</uid>

<user_password>*</user_password>

<username>pulse</username>

</user>

</users>

<x11>

<color_depth config:type="integer">16</color_depth>

<display_manager>gdm</display_manager>

<enable_3d config:type="boolean">true</enable_3d>

<enable_xgl config:type="boolean">true</enable_xgl>

<monitor>

<display>

<max_hsync config:type="integer">38</max_hsync>

<max_vsync config:type="integer">60</max_vsync>

<min_hsync config:type="integer">31</min_hsync>

<min_vsync config:type="integer">50</min_vsync>
</display>

<monitor_device>800X600@60HZ</monitor_device>

<monitor_vendor>--> VESA</monitor_vendor>

</monitor>

<resolution>800x600 (SVGA)</resolution>

<window_manager>gnome</window_manager>

</x11>

</profile>

#5 - 07/25/2011 04:32 AM - Ohad Levy

can you please upload it as a txt file?

btw: foreman now can boot opensuse hosts :)

#6 - 07/25/2011 04:38 AM - Ohad Levy

and please, can you clean up the file, so only the basics required to deploy puppet are included?

thanks

#7 - 07/25/2011 04:45 AM - Oliver Weinmann

I'm afraid this is pretty much the basic file. This file was generated on a SLES 11 machine during install with minimal settings. It is a lot bigger than ks

or preseed.

Never the less... I will have a look around if there is a way to minimize it...

#8 - 07/25/2011 05:01 AM - Oliver Weinmann

I found this on the web and modified it a bit:

<?xml version="1.0"?>

<!DOCTYPE profile SYSTEM "/usr/share/autoinstall/dtd/profile.dtd">

<profile xmlns="http://www.suse.com/1.0/yast2ns" xmlns:config="http://www.suse.com/1.0/configns">

  <general>

    <mode>

      <confirm config:type="boolean">false</confirm>

    </mode>

  </general>

  <bootloader>

    <loader_type>grub</loader_type>

  </bootloader>

  <partitioning config:type="list">

    <drive>

      <use>all</use>

    </drive>

  </partitioning>

  <software>

    <base>default</base>

    <packages config:type="list">

      <package>reiserfs</package>

      <package>puppet</package>

      <package>facter</package>

    </packages>

  </software>

  <networking>

    <dns>

      <hostname>@host.name</hostname>

    </dns>

    <interfaces config:type="list">

      <interface>

        <bootproto>dhcp</bootproto>

        <device>eth0</device>

        <startmode>onboot</startmode>

      </interface>

    </interfaces>

  </networking>

  <users config:type="list">

    <user>

      <encrypted config:type="boolean">false</encrypted>

      <user_password>root</user_password>

      <username>root</username>

    </user>

  </users>

  <scripts>
    <init-scripts config:type="list">

    </init-scripts>

  </scripts>

</profile>

#9 - 07/25/2011 09:53 AM - Ohad Levy

I've got most of the ticket done, however to save me some time, do you know if:

1. do we must have a multiboot installation process?

2. what happens in the first boot process? do we have access to the real file system already? (e.g. can we run puppet once to get certs at that

time?

if you are willing to try this out, ping me on irc

#10 - 07/26/2011 05:41 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 68f7a70506d02286eb8518d821d0605123977438.

Files

autoinst.xml 85 Bytes 07/20/2011 Oliver Weinmann
